// Stream.cpp: implementation of the CStream class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "tinycad.h"
#include "Stream.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction for CStream
//////////////////////////////////////////////////////////////////////


CStream::CStream()
{
}

CStream::~CStream()
{
}



//////////////////////////////////////////////////////////////////////
// Construction/Destruction for CStreamFile
//////////////////////////////////////////////////////////////////////


CStreamFile::CStreamFile(CArchive *a)
{
	m_pArchive = a;
	m_auto_archive = FALSE;
}

CStreamFile::CStreamFile(CFile *f, UINT nmode)
{
	m_pArchive = NULL;

	if (f)
	{
		Attach( f, nmode );
	}
}

CStreamFile::~CStreamFile()
{
	if (m_auto_archive)
	{
		delete m_pArchive;
	}
}
